pushd %~dp0
@echo off
reg add "HKEY_LOCAL_MACHINE\SYSTEM\CurrentControlSet\Services\AsusNumpadPTP" /v DisplayVersion /t REG_SZ /d 12.0.0.28 /f
reg add "HKEY_LOCAL_MACHINE\SYSTEM\CurrentControlSet\Services\AsusNumpadKbd" /v DisplayVersion /t REG_SZ /d 12.1.0.28 /f
reg add "HKEY_LOCAL_MACHINE\SYSTEM\CurrentControlSet\Services\AsusWirelessNumpadPTP" /v DisplayVersion /t REG_SZ /d 16.0.0.2 /f
reg add "HKEY_LOCAL_MACHINE\SYSTEM\CurrentControlSet\Services\AsusWirelessNumpadKbd" /v DisplayVersion /t REG_SZ /d 16.1.0.2 /f

reg query hklm\system\currentcontrolset\enum /s /f "Serial IO I2C" > "%~dp0serialio.ini"
find "Serial IO" "%~dp0serialio.ini" > nul
IF %errorlevel% EQU 1 GOTO SerialIOandTouchpad
IF %errorlevel% EQU 0 GOTO Touchpadonly

:SerialIOandTouchpad
echo installing Intel Serial IO driver......
pnputil.exe /add-driver .\SERIALIO\*.inf /install
echo installing Touchpad driver.....
pnputil -i -a .\NumberPad\x64\AsusDigiFilter.inf
pnputil -i -a .\NumberPad\x64\AsusDigiFilterKbd.inf
pnputil -i -a .\WirelessNumberPad\x64\AsusWirelessDigiFilter.inf
pnputil -i -a .\WirelessNumberPad\x64\AsusWirelessDigiFilterKbd.inf
GOTO END

:Touchpadonly
echo  Installing Touchpad driver.....
pnputil -i -a .\NumberPad\x64\AsusDigiFilter.inf
pnputil -i -a .\NumberPad\x64\AsusDigiFilterKbd.inf
pnputil -i -a .\WirelessNumberPad\x64\AsusWirelessDigiFilter.inf
pnputil -i -a .\WirelessNumberPad\x64\AsusWirelessDigiFilterKbd.inf
GOTO END


:END
del "%~dp0serialio.ini"
del "%~dp0arc.ini"
